package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceReportPlayableRetry;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IBytedanceInterfaceService {

    void searchLog(Long accountId, CtopOauthToken token, Integer operationType, String startDate, String endDate);

    //头条试玩报表
    int bytedancePlayableReport(CtopOauthToken token, String startDate, String endDate);

    List<BytedanceReportPlayableRetry> getRetryList();

    int bytedancePlayableReportRetry(Integer type, CtopOauthToken token, String startDate, String endDate);

    JSONObject createAsyncTask(CtopOauthToken token, String startDate, String endDate, JSONArray groupByArray);

    JSONObject getAsyncTask(CtopOauthToken token, JSONArray taskIds);
}
